# VALHEIM ADVANCE RPG Modpack
- By: Taeguk Gaming

A server made with a purpose. Offers challenging game difficulty and a good story to unfold.


# Features
- A class based, quests driven progression setup. Maximized KG's Marketplace Revamped features to create an RPG feel in the game.
- Disabled building by default and unlockable only via zone/territory system.
- Overhauled all weapons and armors through WackysDatabase mod. Disabled all weapons and armor crafting and options only to upgrade with fixed requirements for each equipment piece.
- Customized armor sets exclusively for each MO classes.
- Utilizes EpicMMOSystem and ItemRequiresSkillLevel mods on character equipment progression.
- Biomes are set to be equal making each bosses similar, abandoning the original concept of biome progression of the game.
- Disabled Epicloot crafting and enchantments and set all weapons and armors to drop from exclusive custom monsters and at the same time, obtainable from all random chests on the map both default and epic loot treasure hunt.


# For Solo Players and Dedicated servers
- Playable but loses weapon and armor customization plus the RPG set up.

# Server Provider
- Setting up the mods on a dedicated server varies to every provider. I personally use GTX Gaming and it's doing great so far. Click the link below to use me as a referal.
- GTX Gaming Referral link: https://www.gtxgaming.co.uk/clientarea/aff.php?aff=2480

# Special Thanks
### Builders
- Codie, Namii, and Artyfacts
You guys are so cool, this won't be possible without your big support, skills, and talent!

### Admins
- Eurodisco, Asura
For being supportive and all the chismis!

### Beta Testers (IGN)
- Jero, Stein, Sky, Milktea, Tohka, Matziee, Kimpoyz, Xyn, Numa Numa Yei, Sigbin, Humm, Kero, Blackrising, Lalisa, Mordred, Meiki Squad, and King

### Special Mention
- Zeall - Our partner in crime!

# Mod Author Credits:
- Gravebear - For helping me out set up the ModPack and guiding me of the 'proper' way.
- OdinPlus Team - 911 of mods. Most mods are from them.
- Horem - Do or Die mods
- Huntardys - Epic Valheim Additions
- Azumatt - Betterwards, Anticheat, Admintool, XrayVision
- ASharpPen - SpawnThat, DropThat, and Custom Raids
- Smoothbrain - CLLC, Server Characters, Vitality, DualWield, Groups mod and Profession mods.
- KG - Marketplace, MO classes
- GoldenJude - Judes Equipment and Blacksmiths Tools
- WackyMole - Wacky Database
- LambaSun - EpicMMOSystem
- Detalhes - ItemRequiresSkillLevel
- AeehyehssReeper - Chaos Armor
- Cjayride - Crafting Filter
- Maximods - Multicraft mod
- Neurodr0me - RRRCore, RRRNPC and RRRMonsters
- MonsterLabz
- Thedefside - JTV Biomes
- hbocao - EnhancedPotions
- MathiasDecrock - Planbuild mod
- HugotheDwarf - Hugo's armory and Cloth collider mods
- Dannypacquio - Valweed
- Fantu - Sages Vault
- RockerKitten - BoneAppetit
- Frenvius - Valharvest
- RagnarokHCRP - MountUp
- Xenofell - TorchesEternal

# Links
- Website: https://bit.ly/taegukgaming
- Trailer Video: https://www.youtube.com/watch?v=dZdgzvlzE5E
- Discord Channel: https://discord.gg/ZUEBzqSaVr
- Support Taeguk Gaming: https://bit.ly/Support-TG

# Change Log
### v1.2.3
- Updated Mods
- Updated some quest items visuals.
- Miniboss will now drop boss key items at 50% chance (HardAntler, Cryptkey, etc...). Bosses will still drop them at 100%.
- Goblin and Skeleton workers will now drop metal ores depending on which biome they are in.

### v1.2.2
- Fixed no damage issue on Forest Expert Badge when equipped.
- Added our brand new TG Coin back.

### v1.2.1
- Updated Mods
- Introducing TG Quest Items upgraded biome badges and belts! Turned ON badges can now be equipped in the utility slot for skill buffs. Biomes belts has more partial and full buffs when turned off and on respectively while wearing. Everything has still the same effect of spawning harder monsters and biome bosses when worn. This is our very own mod and expect more updates on all quest items in the server.
- Tamable monsters will now feed every 5 mins, reproduce, and heal 200 hp every food intake.
- Fixed farming quick planting error.
- Added 1 row on player inventory.

### v1.1.5
- Fixed arrow equipping issues.
- Vanilla boats and carts will show again on the map (OdinPlusQOL update).

### v1.1.4
- Updated Mods
- Remove CityGuard NPC
- Added Mercenary Swordsman and Archer NPCs for hiring as mercenary allies. This NPCs will spawn tamed and consumes most Vanilla cooked food.
- Removed Portal Crystal requirements.
- Experimental fix on shared EXP with group mod (Thanks to LambaSun effort)
- Remove modded map pins. Boats and carts will not show anymore on the map.

### v1.1.1
- Fixed raid triggers.
- Add experience on DeepSea Serpent
- Added Runestones drops on Bosses and Minibosses
- Added shards on sacrifice recipies.
- Changed Master Badges to Master Belts (with +%run buff)
- Added 3 rows on player inventory and reduced all items weight to 50%.
- Made vanilla boats indestructible.
- Added 3 New NPC Minibosses to hunt (Rogue Warrior, Rogue Assassin, Rogue Mage). Drops all Tier 2 Class gears.
- Added boss runes drops from Vanilla bosses except Eikthyr. Required to craft specialized class weapons and headgear.
- Remove backpacks and network mods.

### v1.0.4
- Added Smoothbrain Network mod
- Fixed Mistlands, DeepNorth, and Ashlands spawn. Mistakenly set them to spawn on higher grounds.

### v1.0.3
- Updated Mods

### v1.0.2
- Fixed DK Quest Wraith spawn. Adjusted monster hp and damages according to tier.

### v1.0.1
- Fixed spawn issues. Should spawn wolves and drakes now.

### v1.0.0
- Initial Release